{* :Admin:Nastaveni:Uzivatele:Seznam:default *}
{block content}
{*============================== BREADCRUMB ==============================*}
<section class="border-bottom" id="breadcrumb">
    <nav class="p-3 bg-light">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
            <li class="breadcrumb-item active">Uživatelé</li>
        </ol>
    </nav>
</section>
{*============================== CONTENT ==============================*}
<section class="container-xxl mb-3">
    <h1 n:block="title">Uživatelé</h1>
    {* filtrace *}
    <section class="row border-bottom mb-0 py-2">
        <div class="col-12 col-xl-9 mb-lg-2 mb-xl-0">
            <div class="w-100 d-md-flex justify-content-between align-items-center mb-3 mb-lg-0">
                <div class="input-group mb-2 mb-md-0 me-2">
                    <span class="input-group-text"><i class="fas fa-user"></i></span>
                    <input type="text" id="selectUser-filter-name" class="form-control" placeholder="Jméno">
                </div>
                <div class="input-group mb-2 mb-md-0 me-2">
                    <span class="input-group-text"><i class="fas fa-at"></i></span>
                    <input type="text" id="selectUser-filter-email" class="form-control" placeholder="Emailová adresa">
                </div>
                <div class="input-group mb-2 mb-md-0 me-2">
                    <span class="input-group-text"><i class="fas fa-users"></i></span>
                    <select type="text" id="selectUser-filter-role" class="form-select">
                        <option value="">Vyberte uživ. roli</option>
                        <option value="admin">Administrátor</option>
                        <option value="editor">Editor</option>
                    </select>
                </div>
                <button class="btn btn-outline-success me-2" onclick="selectUserFilter()">Filtrovat</button>
                <button class="btn btn-outline-secondary" onclick="selectUserFilterOff()">Reset</button>
            </div>
        </div>
        <div class="col-12 col-xl-3 d-flex justify-content-end">
            {control novyUzivatel}
        </div>
        {snippet list}
            {*====== PAGINATOR ========*}
            {if (!empty($data))}
                {control paginator}
            {/if}
            {*====== USERS TABLE ========*}
            <section id="users-table">
                <div class="table-responsive">
                    <table class="table table-striped table-responsive">
                        <thead>
                        <tr>
                            <th scope="col">Jméno</th>
                            <th scope="col">Email</th>
                            <th scope="col">Aktivní</th>
                            <th scope="col">Role</th>
                            <th scope="col"></th>
                        </tr>
                        </thead>
                        <tbody>
                        {if (!empty($data))}
                            {foreach $data as $one}
                                <tr>
                                    <td>{$one->name}</td>
                                    <td>{$one->email}</td>
                                    <td>
                                        {switch $one->active}
                                            {case 1}
                                            <a class="ajax" n:href="userActive! $one->id">
                                                <i class="far fa-check-circle text-success"></i>
                                            </a>
                                        {case 0}
                                            <a class="ajax" n:href="userActive! $one->id">
                                                <i class="far fa-times-circle text-danger"></i>
                                            </a>
                                        {default}
                                            <span class="material-icons">help_outline</span> {$one->active}
                                        {/switch}
                                    </td>
                                    <td>{switch $one->role}
                                            {case 'admin'}
                                            Administrátor
                                            {case 'editor'}
                                            Editor
                                            {default}
                                            Neznámá
                                        {/switch}
                                    </td>
                                    <td>
                                        <div class="d-flex justify-content-end gap-3">
                                            {control editUzivatel-$one->id}
                                            {control vymazUzivatel-$one->id}
                                        </div>
                                    </td>
                                </tr>
                            {/foreach}
                        {else}
                            <tr>
                                <td colspan="6" class="text-center">
                                    Žádná data k zobrazení
                                </td>
                            </tr>
                        {/if}
                        </tbody>
                    </table>
                </div>
            </section>
        {/snippet}
    </section>
</section>
{/block}
{block scripts}
    <script>
        function selectUserFilter()
        {
            let name = $('#selectUser-filter-name').val();
            let email = $('#selectUser-filter-email').val();
            let role = $('#selectUser-filter-role').val();

            let data = [];

            if(name != '')
            {
                data['name'] = name;
            }

            if(email != '')
            {
                data['email'] = email;
            }
            if(role != '')
            {
                data['role'] = role;
            }

            naja.makeRequest('GET', {link filter!} , { 'filter': data });
        }
        function selectUserFilterOff()
        {
            let data = [];

            $('#selectUser-filter-name').val('');
            $('#selectUser-filter-email').val('');
            $('#selectUser-filter-role').val('');

            naja.makeRequest('GET', {link filter!} , { 'filter': data });
        }
    </script>
{/block}